From a9a99ab639f39261b5fa569cd04016f9d9ef4f8d Mon Sep 17 00:00:00 2001
From: baldurk <baldurk@baldurk.org>
Date: Fri, 19 May 2023 10:58:29 +0100
Subject: Fix incorrect return type

---
 renderdoc/strings/string_utils.cpp | 2 +-
 renderdoc/strings/string_utils.h   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/renderdoc/strings/string_utils.cpp b/renderdoc/strings/string_utils.cpp
index c09a45a07..0c07413d7 100644
--- a/renderdoc/strings/string_utils.cpp
+++ b/renderdoc/strings/string_utils.cpp
@@ -141,7 +141,7 @@ rdcstr strip_extension(const rdcstr &path)
   return path.substr(0, offs);
 }
 
-rdcstr strip_nonbasic(rdcstr &str)
+void strip_nonbasic(rdcstr &str)
 {
   for(char &c : str)
   {
diff --git a/renderdoc/strings/string_utils.h b/renderdoc/strings/string_utils.h
index 4304b135c..b5950a732 100644
--- a/renderdoc/strings/string_utils.h
+++ b/renderdoc/strings/string_utils.h
@@ -40,7 +40,7 @@ rdcstr strip_extension(const rdcstr &path);
 // remove everything but alphanumeric ' ' and '.'
 // It replaces everything else with _
 // for logging strings where they might contain garbage characters
-rdcstr strip_nonbasic(rdcstr &str);
+void strip_nonbasic(rdcstr &str);
 
 void split(const rdcstr &in, rdcarray<rdcstr> &out, const char sep);
 void merge(const rdcarray<rdcstr> &in, rdcstr &out, const char sep);
-- 
2.30.2

